Skip to main content
GET
List Cross Margin Liquidations

Path Parameters

entity_id
string
required

XM customer Prime Entity ID

Query Parameters

cursor
string

Cursor for pagination

limit
integer<int32>

Number of results to return per page

sort_direction
enum<string>
default:DESC

Sort direction for results

Available options:
DESC,
ASC
status
enum<string>
default:XM_LIQUIDATION_STATUS_UNSET

Filter results by liquidation status

  • XM_LIQUIDATION_STATUS_PRE_LIQUIDATION: Liquidation is in the pre-liquidation phase
  • XM_LIQUIDATION_STATUS_LIQUIDATING: Liquidation is actively in progress
  • XM_LIQUIDATION_STATUS_LIQUIDATED: Liquidation has completed successfully
  • XM_LIQUIDATION_STATUS_CANCELED: Liquidation was canceled
  • XM_LIQUIDATION_STATUS_FAILED: Liquidation failed
Available options:
XM_LIQUIDATION_STATUS_UNSET,
XM_LIQUIDATION_STATUS_PRE_LIQUIDATION,
XM_LIQUIDATION_STATUS_LIQUIDATING,
XM_LIQUIDATION_STATUS_LIQUIDATED,
XM_LIQUIDATION_STATUS_CANCELED,
XM_LIQUIDATION_STATUS_FAILED
start_time
string<date-time>

Filter results to liquidations created at or after this time

end_time
string<date-time>

Filter results to liquidations created at or before this time

Response

200 - application/json

A successful response.

liquidations
XMLiquidationSummary provides a summary of a single XM liquidation · object[]

List of XM liquidation summaries

pagination
object